Delete contactFolder
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Delete contactFolder other than the default contactFolder.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Contacts.ReadWrite |
| Delegated (personal Microsoft account) | Contacts.ReadWrite |
| Application | Contacts.ReadWrite |
HTTP request
DELETE /me/contactFolders/{id}
DELETE /users/{id | userPrincipalName}/contactFolders/{id}
Request headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns 204 No Content response code. It does not return anything in the response body.
Example
Request
Here is an example of the request.
DELETE https://graph.microsoft.com/beta/me/contactFolders/{id}
Response
Here is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for